## com.ibm.lab.soln.dialogs
Class StructureInitPage

    java.lang.Object
      |
      +--org.eclipse.jface.dialogs.DialogPage
            |
            +--org.eclipse.jface.wizard.WizardPage
                  |
                  +--com.ibm.lab.soln.dialogs.StructureInitPage

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

public class StructureInitPage
extends org.eclipse.jface.wizard.WizardPage
implements org.eclipse.swt.events.SelectionListener

First wizard page in a continuous flow multi-page wizard as implemented by the `StructureWizard`. Allows for selection of the next resource creation page, by type.

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`StructureInitPage(java.lang.String pageName, org.eclipse.jface.viewers.IStructuredSelection selection, org.eclipse.jface.wizard.Wizard parent)` Constructor for StructureInitPage.

Method Summary
`boolean` | `canFlipToNextPage()` If another page exists the Next button will be enabled.
`void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the top level dialog control under the given parent composite.
`org.eclipse.jface.wizard.IWizardPage` | `getNextPage()` Provides a next page based on the current selection.
`void` | `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)`
`void` | `widgetSelected(org.eclipse.swt.events.SelectionEvent e)` Event logic for radio button group.

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`getContainer, getDialogSettings, getImage, getName, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

Constructor Detail

### StructureInitPage

    public StructureInitPage(java.lang.String pageName,
                             org.eclipse.jface.viewers.IStructuredSelection selection,
                             org.eclipse.jface.wizard.Wizard parent)

  Constructor for StructureInitPage.
  Parameters:
    `pageName` -
    `selection` -

Method Detail

### canFlipToNextPage

    public boolean canFlipToNextPage()

  If another page exists the Next button will be enabled. This decision controlled by the `widgetSelected` event logic for the radio button group.
  Overrides:
    `canFlipToNextPage` in class `org.eclipse.jface.wizard.WizardPage`
  See Also:
    `IWizardPage.canFlipToNextPage()`

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

  Creates the top level dialog control under the given parent composite.

  Implementors are responsible for ensuring that the created control can be accessed via `getControl`. This is done by identifying the main control you create using the `setControl` method.

  Overrides:
    `createControl` in class `org.eclipse.jface.dialogs.DialogPage`
  Parameters:
    `parent` - the parent composite
  See Also:
    `IDialogPage.createControl(Composite)`

### getNextPage

    public org.eclipse.jface.wizard.IWizardPage getNextPage()

  Provides a next page based on the current selection. If a page has been requested it is added to the wizard first. The inherited `getNextPage`framework method is used to return the next page which was just added.
  Overrides:
    `getNextPage` in class `org.eclipse.jface.wizard.WizardPage`
  See Also:
    `IWizardPage.getNextPage()`

### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent e)

  Specified by:
    `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`

### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent e)

  Event logic for radio button group. Identifies if another page has been selected so that the next button can be enabled.
  Specified by:
    `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`
  See Also:
    `SelectionListener.widgetSelected(SelectionEvent)`